From e90ec534940f141a27e85f4d01fcc230f77f7352 Mon Sep 17 00:00:00 2001
From: Zorro Liu <lyx@rock-chips.com>
Date: Wed, 4 Aug 2021 11:28:55 +0800
Subject: [PATCH] drm/rockchip: ebc_dev: release version v2.09

1.support suspend logo refresh
2.support multi panel pmics define as:
&ebc_dev {
    pmic = <&tps65185 &sy7673a &xxxx>;
}
3.do err when bufmode not support

Signed-off-by: Zorro Liu <lyx@rock-chips.com>
Change-Id: I9686a7d2eae8051c04c53970acdc7793870dd553
---
 drivers/gpu/drm/rockchip/ebc-dev/Kconfig      |     9 +-
 drivers/gpu/drm/rockchip/ebc-dev/ebc_dev_v8.S | 39742 ++++++++--------
 2 files changed, 19948 insertions(+), 19803 deletions(-)

diff --git a/drivers/gpu/drm/rockchip/ebc-dev/Kconfig b/drivers/gpu/drm/rockchip/ebc-dev/Kconfig
index 949c8e4b7b57..663d4a3befe7 100644
--- a/drivers/gpu/drm/rockchip/ebc-dev/Kconfig
+++ b/drivers/gpu/drm/rockchip/ebc-dev/Kconfig
@@ -5,10 +5,7 @@ menuconfig ROCKCHIP_EBC_DEV
 	help
 	Rockchip eBook Device Dirver could help to driver the electronic ink screen.
 
-choice
-	prompt "eink pmic sensor"
-	depends on ROCKCHIP_EBC_DEV
-	default EPD_TPS65185_SENSOR
 config EPD_TPS65185_SENSOR
-	bool "Tps65185"
-endchoice
+    bool "eink pmic Tps65185"
+    depends on ROCKCHIP_EBC_DEV
+    default y
diff --git a/drivers/gpu/drm/rockchip/ebc-dev/ebc_dev_v8.S b/drivers/gpu/drm/rockchip/ebc-dev/ebc_dev_v8.S
index bdc4e186657a..66959f00f029 100644
--- a/drivers/gpu/drm/rockchip/ebc-dev/ebc_dev_v8.S
+++ b/drivers/gpu/drm/rockchip/ebc-dev/ebc_dev_v8.S
@@ -1119,15 +1119,15 @@ get_overlay_image:
 	.type	ebc_open, %function
 ebc_open:
 .LFB2833:
-	.loc 1 1942 0
+	.loc 1 1948 0
 	.cfi_startproc
 .LVL62:
-	.loc 1 1946 0
+	.loc 1 1952 0
 	mov	w0, 0
 .LVL63:
-	.loc 1 1943 0
+	.loc 1 1949 0
 	str	xzr, [x1, 104]
-	.loc 1 1946 0
+	.loc 1 1952 0
 	ret
 	.cfi_endproc
 .LFE2833:
@@ -1137,22 +1137,22 @@ ebc_open:
 	.type	ebc_exit, %function
 ebc_exit:
 .LFB2853:
-	.loc 1 2499 0
+	.loc 1 2525 0
 	.cfi_startproc
 	stp	x29, x30, [sp, -16]!
 	.cfi_def_cfa_offset 16
 	.cfi_offset 29, -16
 	.cfi_offset 30, -8
-	.loc 1 2500 0
+	.loc 1 2526 0
 	adrp	x0, .LANCHOR1
 	add	x0, x0, :lo12:.LANCHOR1
-	.loc 1 2499 0
+	.loc 1 2525 0
 	add	x29, sp, 0
 	.cfi_def_cfa_register 29
-	.loc 1 2500 0
+	.loc 1 2526 0
 	bl	platform_driver_unregister
 .LVL64:
-	.loc 1 2501 0
+	.loc 1 2527 0
 	ldp	x29, x30, [sp], 16
 	.cfi_restore 30
 	.cfi_restore 29
@@ -1167,7 +1167,7 @@ ebc_exit:
 	.type	ebc_resume, %function
 ebc_resume:
 .LFB2851:
-	.loc 1 2461 0
+	.loc 1 2487 0
 	.cfi_startproc
 .LVL65:
 	stp	x29, x30, [sp, -32]!
@@ -1178,17 +1178,17 @@ ebc_resume:
 	.cfi_def_cfa_register 29
 	str	x19, [sp, 16]
 	.cfi_offset 19, -16
-.LBB928:
-.LBB929:
+.LBB940:
+.LBB941:
 	.file 2 "./include/linux/device.h"
 	.loc 2 1181 0
 	ldr	x19, [x0, 184]
-.LBE929:
-.LBE928:
-	.loc 1 2465 0
+.LBE941:
+.LBE940:
+	.loc 1 2491 0
 	ldr	x1, [x19, 16]
-.LBB930:
-.LBB931:
+.LBB942:
+.LBB943:
 	.file 3 "drivers/gpu/drm/rockchip/ebc-dev/pmic/ebc_pmic.h"
 	.loc 3 45 0
 	mov	x0, x1
@@ -1196,17 +1196,17 @@ ebc_resume:
 	ldr	x1, [x1, 48]
 	blr	x1
 .LVL67:
-.LBE931:
-.LBE930:
-	.loc 1 2466 0
+.LBE943:
+.LBE942:
+	.loc 1 2492 0
 	str	wzr, [x19, 780]
-	.loc 1 2467 0
+	.loc 1 2493 0
 	ldr	x0, [x19, 272]
 	adrp	x1, .LC0
 	add	x1, x1, :lo12:.LC0
 	bl	_dev_info
 .LVL68:
-	.loc 1 2470 0
+	.loc 1 2496 0
 	ldr	x19, [sp, 16]
 	mov	w0, 0
 	ldp	x29, x30, [sp], 32
@@ -1223,44 +1223,44 @@ ebc_resume:
 	.type	ebc_vdd_power_timeout, %function
 ebc_vdd_power_timeout:
 .LFB2828:
-	.loc 1 1641 0
+	.loc 1 1647 0
 	.cfi_startproc
 .LVL69:
-	.loc 1 1642 0
+	.loc 1 1648 0
 	adrp	x0, .LANCHOR0
 .LVL70:
 	ldr	x0, [x0, #:lo12:.LANCHOR0]
-	.loc 1 1644 0
+	.loc 1 1650 0
 	ldr	w2, [x0, 608]
 	cbnz	w2, .L165
 	ret
 	.p2align 3
 .L165:
-	.loc 1 1641 0
+	.loc 1 1647 0
 	stp	x29, x30, [sp, -16]!
 	.cfi_def_cfa_offset 16
 	.cfi_offset 29, -16
 	.cfi_offset 30, -8
-.LBB932:
-.LBB933:
+.LBB944:
+.LBB945:
 	.file 4 "./include/linux/wakelock.h"
 	.loc 4 68 0
 	add	x0, x0, 400
-.LBE933:
-.LBE932:
-	.loc 1 1641 0
+.LBE945:
+.LBE944:
+	.loc 1 1647 0
 	add	x29, sp, 0
 	.cfi_def_cfa_register 29
-	.loc 1 1645 0
+	.loc 1 1651 0
 	str	wzr, [x0, 208]
-.LBB935:
-.LBB934:
+.LBB947:
+.LBB946:
 	.loc 4 68 0
 	bl	__pm_relax
 .LVL71:
-.LBE934:
-.LBE935:
-	.loc 1 1650 0
+.LBE946:
+.LBE947:
+	.loc 1 1656 0
 	ldp	x29, x30, [sp], 16
 	.cfi_restore 30
 	.cfi_restore 29
@@ -1274,27 +1274,27 @@ ebc_vdd_power_timeout:
 	.type	ebc_remove, %function
 ebc_remove:
 .LFB2849:
-	.loc 1 2437 0
+	.loc 1 2463 0
 	.cfi_startproc
 .LVL72:
 	stp	x29, x30, [sp, -16]!
 	.cfi_def_cfa_offset 16
 	.cfi_offset 29, -16
 	.cfi_offset 30, -8
-	.loc 1 2438 0
+	.loc 1 2464 0
 	adrp	x0, .LANCHOR1
 .LVL73:
 	add	x0, x0, :lo12:.LANCHOR1
-	.loc 1 2437 0
+	.loc 1 2463 0
 	add	x29, sp, 0
 	.cfi_def_cfa_register 29
-	.loc 1 2438 0
+	.loc 1 2464 0
 	add	x0, x0, 224
-	.loc 1 2437 0
-	.loc 1 2438 0
+	.loc 1 2463 0
+	.loc 1 2464 0
 	bl	misc_deregister
 .LVL74:
-	.loc 1 2441 0
+	.loc 1 2467 0
 	mov	w0, 0
 	ldp	x29, x30, [sp], 16
 	.cfi_restore 30
@@ -1309,7 +1309,7 @@ ebc_remove:
 	.type	ebc_mmap, %function
 ebc_mmap:
 .LFB2832:
-	.loc 1 1927 0
+	.loc 1 1933 0
 	.cfi_startproc
 .LVL75:
 	stp	x29, x30, [sp, -32]!
@@ -1320,33 +1320,33 @@ ebc_mmap:
 	.cfi_def_cfa_register 29
 	str	x19, [sp, 16]
 	.cfi_offset 19, -16
-	.loc 1 1927 0
+	.loc 1 1933 0
 	mov	x19, x1
-	.loc 1 1930 0
+	.loc 1 1936 0
 	bl	ebc_phy_buf_base_get
 .LVL76:
-	.loc 1 1933 0
+	.loc 1 1939 0
 	lsr	x2, x0, 12
-	.loc 1 1931 0
+	.loc 1 1937 0
 	mov	x6, 16384
-	.loc 1 1933 0
+	.loc 1 1939 0
 	mov	x0, x19
-	.loc 1 1931 0
+	.loc 1 1937 0
 	ldp	x4, x5, [x19, 72]
 	movk	x6, 0x404, lsl 16
-	.loc 1 1933 0
+	.loc 1 1939 0
 	ldp	x1, x3, [x19]
-	.loc 1 1931 0
+	.loc 1 1937 0
 	orr	x5, x5, x6
 	str	x5, [x19, 80]
-	.loc 1 1933 0
+	.loc 1 1939 0
 	sub	x3, x3, x1
 	bl	remap_pfn_range
 .LVL77:
-	.loc 1 1936 0
+	.loc 1 1942 0
 	cmp	w0, 0
 	mov	w1, -11
-	.loc 1 1939 0
+	.loc 1 1945 0
 	ldr	x19, [sp, 16]
 .LVL78:
 	csel	w0, w0, w1, eq
@@ -1364,16 +1364,16 @@ ebc_mmap:
 	.type	ebc_io_ctl, %function
 ebc_io_ctl:
 .LFB2831:
-	.loc 1 1726 0
+	.loc 1 1732 0
 	.cfi_startproc
 .LVL79:
 	stp	x29, x30, [sp, -160]!
 	.cfi_def_cfa_offset 160
 	.cfi_offset 29, -160
 	.cfi_offset 30, -152
-	.loc 1 1736 0
+	.loc 1 1742 0
 	cmp	w1, 28672
-	.loc 1 1726 0
+	.loc 1 1732 0
 	add	x29, sp, 0
 	.cfi_def_cfa_register 29
 	stp	x19, x20, [sp, 16]
@@ -1387,15 +1387,15 @@ ebc_io_ctl:
 	.cfi_offset 21, -128
 	.cfi_offset 22, -120
 	.cfi_offset 23, -112
-	.loc 1 1726 0
+	.loc 1 1732 0
 	mov	x21, x2
 	ldr	x3, [x0]
 	str	x3, [x29, 152]
 	mov	x3,0
-	.loc 1 1728 0
+	.loc 1 1734 0
 	adrp	x0, .LANCHOR0
 	ldr	x20, [x0, #:lo12:.LANCHOR0]
-	.loc 1 1736 0
+	.loc 1 1742 0
 	bcc	.L173
 	mov	w0, 28675
 	cmp	w1, w0
@@ -1405,7 +1405,7 @@ ebc_io_ctl:
 	cmp	w0, 1
 	bls	.L174
 .L173:
-	.loc 1 1752 0
+	.loc 1 1758 0
 	mov	w0, 28677
 	cmp	w1, w0
 	beq	.L177
@@ -1421,13 +1421,13 @@ ebc_io_ctl:
 	mov	w0, 28683
 	cmp	w1, w0
 	bne	.L176
-	.loc 1 1904 0
+	.loc 1 1910 0
 	bl	ebc_empty_buf_get
 .LVL81:
 	mov	x23, x0
-	.loc 1 1905 0
+	.loc 1 1911 0
 	cbz	x0, .L197
-	.loc 1 1907 0
+	.loc 1 1913 0
 	ldp	w2, w3, [x20, 108]
 	add	x22, x20, 24
 	ldr	x1, [x20, 392]
@@ -1438,18 +1438,18 @@ ebc_io_ctl:
 	lsr	w2, w2, 1
 	bl	memcpy
 .LVL82:
-	.loc 1 1908 0
+	.loc 1 1914 0
 	ldr	x20, [x23, 8]
 	bl	ebc_phy_buf_base_get
 .LVL83:
 	sub	w0, w20, w0
-.LBB936:
-.LBB937:
-.LBB938:
-.LBB939:
-.LBB940:
-.LBB941:
-.LBB942:
+.LBB948:
+.LBB949:
+.LBB950:
+.LBB951:
+.LBB952:
+.LBB953:
+.LBB954:
 	.file 5 "./arch/arm64/include/asm/current.h"
 	.loc 5 19 0
 #APP
@@ -1458,27 +1458,27 @@ ebc_io_ctl:
 // 0 "" 2
 .LVL84:
 #NO_APP
-.LBE942:
-.LBE941:
+.LBE954:
+.LBE953:
 	.file 6 "./arch/arm64/include/asm/uaccess.h"
 	.loc 6 85 0
 	ldr	w3, [x2, 52]
-.LBE940:
-.LBE939:
-.LBE938:
-.LBE937:
-.LBE936:
-	.loc 1 1910 0
+.LBE952:
+.LBE951:
+.LBE950:
+.LBE949:
+.LBE948:
+	.loc 1 1916 0
 	ldp	w1, w4, [x22, 84]
-	.loc 1 1909 0
+	.loc 1 1915 0
 	str	w0, [x29, 104]
-	.loc 1 1911 0
+	.loc 1 1917 0
 	stp	w4, w1, [x29, 112]
-.LBB967:
-.LBB964:
+.LBB979:
+.LBB976:
+.LBB973:
+.LBB963:
 .LBB961:
-.LBB951:
-.LBB949:
 	.loc 6 77 0
 	ldr	x1, [x2, 8]
 .LVL85:
@@ -1486,47 +1486,47 @@ ebc_io_ctl:
 	tbnz	x3, 21, .L234
 .LVL86:
 .L300:
-.LBB943:
-.LBB944:
-.LBB945:
+.LBB955:
+.LBB956:
+.LBB957:
 	.file 7 "./include/asm-generic/bitops/non-atomic.h"
 	.loc 7 106 0
 	ldr	x2, [x2]
 .LVL87:
-.LBE945:
-.LBE944:
-.LBE943:
-.LBE949:
-.LBE951:
+.LBE957:
+.LBE956:
+.LBE955:
 .LBE961:
-.LBE964:
-.LBE967:
-	.loc 1 1727 0
+.LBE963:
+.LBE973:
+.LBE976:
+.LBE979:
+	.loc 1 1733 0
 	mov	x0, x21
 .LVL88:
-.LBB968:
-.LBB965:
+.LBB980:
+.LBB977:
+.LBB974:
+.LBB964:
 .LBB962:
-.LBB952:
-.LBB950:
 	.loc 6 84 0
 	tbz	x2, 26, .L235
 .LVL89:
 .L234:
-.LBB946:
-.LBB947:
-.LBB948:
+.LBB958:
+.LBB959:
+.LBB960:
 	.file 8 "./include/linux/bitops.h"
 	.loc 8 157 0
 	sbfx	x0, x21, 0, 56
 .LVL90:
-.LBE948:
-.LBE947:
+.LBE960:
+.LBE959:
 	.loc 6 86 0
 	and	x0, x0, x21
 .LVL91:
 .L235:
-.LBE946:
+.LBE958:
 	.loc 6 89 0
 #APP
 // 89 "./arch/arm64/include/asm/uaccess.h" 1
@@ -1539,46 +1539,46 @@ ebc_io_ctl:
 // 0 "" 2
 .LVL92:
 #NO_APP
-.LBE950:
-.LBE952:
+.LBE962:
+.LBE964:
 	.file 9 "./include/linux/uaccess.h"
 	.loc 9 132 0
 	mov	x22, 44
 	cbnz	x0, .L308
 .L236:
-.LBE962:
-.LBE965:
-.LBE968:
-	.loc 1 1913 0
+.LBE974:
+.LBE977:
+.LBE980:
+	.loc 1 1919 0
 	mov	x0, x23
 .LVL93:
 	bl	ebc_buf_release
 .LVL94:
-	.loc 1 1914 0
+	.loc 1 1920 0
 	b	.L172
 .LVL95:
 	.p2align 3
 .L174:
-	.loc 1 1743 0
+	.loc 1 1749 0
 	cbnz	x21, .L173
-	.loc 1 1744 0
+	.loc 1 1750 0
 	ldr	x0, [x20, 272]
 	adrp	x2, .LANCHOR2
 	adrp	x1, .LC1
 .LVL96:
 	add	x2, x2, :lo12:.LANCHOR2
 	add	x1, x1, :lo12:.LC1
-	.loc 1 1745 0
+	.loc 1 1751 0
 	mov	x22, -14
-	.loc 1 1744 0
+	.loc 1 1750 0
 	bl	_dev_err
 .LVL97:
-	.loc 1 1745 0
+	.loc 1 1751 0
 	b	.L172
 .LVL98:
 	.p2align 3
 .L306:
-	.loc 1 1752 0
+	.loc 1 1758 0
 	mov	w0, 28674
 	cmp	w1, w0
 	beq	.L179
@@ -1589,23 +1589,23 @@ ebc_io_ctl:
 	mov	w0, 28676
 	cmp	w1, w0
 	bne	.L176
-	.loc 1 1836 0
+	.loc 1 1842 0
 	ldr	x0, [x20, 272]
-	.loc 1 1835 0
+	.loc 1 1841 0
 	mov	w2, 1
 	str	w2, [x20, 788]
-	.loc 1 1836 0
+	.loc 1 1842 0
 	adrp	x1, .LC2
 .LVL99:
-	.loc 1 1837 0
+	.loc 1 1843 0
 	mov	x22, 0
-	.loc 1 1836 0
+	.loc 1 1842 0
 	add	x1, x1, :lo12:.LC2
 	bl	_dev_info
 .LVL100:
 	.p2align 2
 .L172:
-	.loc 1 1924 0
+	.loc 1 1930 0
 	add	x19, x19, :lo12:__stack_chk_guard
 	mov	x0, x22
 .LVL101:
@@ -1633,19 +1633,19 @@ ebc_io_ctl:
 	.p2align 3
 .L309:
 	.cfi_restore_state
-	.loc 1 1752 0
+	.loc 1 1758 0
 	cmp	w1, 28672
 	beq	.L181
 	mov	w0, 28673
 	cmp	w1, w0
 	bne	.L176
-.LBB969:
-.LBB970:
-.LBB971:
-.LBB972:
-.LBB973:
-.LBB974:
-.LBB975:
+.LBB981:
+.LBB982:
+.LBB983:
+.LBB984:
+.LBB985:
+.LBB986:
+.LBB987:
 	.loc 5 19 0
 #APP
 // 19 "./arch/arm64/include/asm/current.h" 1
@@ -1653,8 +1653,8 @@ ebc_io_ctl:
 // 0 "" 2
 .LVL105:
 #NO_APP
-.LBE975:
-.LBE974:
+.LBE987:
+.LBE986:
 	.loc 6 85 0
 	ldr	w2, [x0, 52]
 	.loc 6 77 0
@@ -1664,19 +1664,19 @@ ebc_io_ctl:
 	tbz	x2, 21, .L311
 .LVL107:
 .L202:
-.LBB976:
-.LBB977:
-.LBB978:
+.LBB988:
+.LBB989:
+.LBB990:
 	.loc 8 157 0
 	sbfx	x0, x21, 0, 56
 .LVL108:
-.LBE978:
-.LBE977:
+.LBE990:
+.LBE989:
 	.loc 6 86 0
 	and	x0, x0, x21
 .LVL109:
 .L203:
-.LBE976:
+.LBE988:
 	.loc 6 89 0
 #APP
 // 89 "./arch/arm64/include/asm/uaccess.h" 1
@@ -1689,23 +1689,23 @@ ebc_io_ctl:
 // 0 "" 2
 .LVL110:
 #NO_APP
-.LBE973:
-.LBE972:
+.LBE985:
+.LBE984:
 	.loc 9 114 0
 	cbz	x0, .L205
-.LBB984:
-.LBB985:
-.LBB986:
-.LBB987:
-.LBB988:
+.LBB996:
+.LBB997:
+.LBB998:
+.LBB999:
+.LBB1000:
 	.loc 8 157 0
 	sbfx	x0, x21, 0, 56
 .LVL111:
-.LBE988:
-.LBE987:
-.LBE986:
-.LBB989:
-.LBB990:
+.LBE1000:
+.LBE999:
+.LBE998:
+.LBB1001:
+.LBB1002:
 	.loc 5 19 0
 #APP
 // 19 "./arch/arm64/include/asm/current.h" 1
@@ -1713,13 +1713,13 @@ ebc_io_ctl:
 // 0 "" 2
 .LVL112:
 #NO_APP
-.LBE990:
-.LBE989:
-.LBB991:
+.LBE1002:
+.LBE1001:
+.LBB1003:
 	.loc 6 254 0
 	and	x0, x0, x21
 .LVL113:
-.LBE991:
+.LBE1003:
 	.loc 6 249 0
 	ldr	x2, [x1, 8]
 #APP
@@ -1734,8 +1734,8 @@ ebc_io_ctl:
 	hint #20
 // 0 "" 2
 #NO_APP
-.LBE985:
-.LBE984:
+.LBE997:
+.LBE996:
 	.loc 9 116 0
 	mov	x2, 44
 	add	x0, x29, 104
@@ -1744,75 +1744,75 @@ ebc_io_ctl:
 .LVL116:
 	.loc 9 118 0
 	cbnz	x0, .L205
-.LBE971:
-.LBE970:
-.LBE969:
-	.loc 1 1790 0
+.LBE983:
+.LBE982:
+.LBE981:
+	.loc 1 1796 0
 	bl	ebc_phy_buf_base_get
 .LVL117:
 	ldrsw	x1, [x29, 104]
-	.loc 1 1791 0
+	.loc 1 1797 0
 	add	x0, x1, x0
 	bl	ebc_find_buf_by_phy_addr
 .LVL118:
 	mov	x21, x0
 .LVL119:
-	.loc 1 1792 0
+	.loc 1 1798 0
 	cbz	x0, .L212
-	.loc 1 1793 0
+	.loc 1 1799 0
 	ldr	w5, [x29, 108]
-	.loc 1 1802 0
+	.loc 1 1808 0
 	add	x20, x20, 184
-	.loc 1 1797 0
+	.loc 1 1803 0
 	ldp	w4, w2, [x29, 124]
-	.loc 1 1793 0
+	.loc 1 1799 0
 	str	w5, [x21, 40]
-	.loc 1 1798 0
+	.loc 1 1804 0
 	ldp	w3, w1, [x29, 132]
-	.loc 1 1797 0
+	.loc 1 1803 0
 	stp	w4, w2, [x21, 48]
-	.loc 1 1798 0
+	.loc 1 1804 0
 	stp	w3, w1, [x21, 56]
-	.loc 1 1800 0
+	.loc 1 1806 0
 	bl	ebc_add_to_dsp_buf_list
 .LVL120:
-	.loc 1 1802 0
+	.loc 1 1808 0
 	ldr	w0, [x20, 80]
 	cbz	w0, .L312
 .L207:
-	.loc 1 1806 0
+	.loc 1 1812 0
 	ldr	w0, [x21, 40]
 	cmp	w0, 18
 	beq	.L313
-	.loc 1 1806 0 is_stmt 0 discriminator 3
+	.loc 1 1812 0 is_stmt 0 discriminator 3
 	cmp	w0, 20
 	bne	.L212
 .L209:
-	.loc 1 1807 0 is_stmt 1
+	.loc 1 1813 0 is_stmt 1
 	mov	w0, 1
 	str	w0, [x20, 188]
-.LBB998:
-.LBB999:
-	.loc 1 1808 0
+.LBB1010:
+.LBB1011:
+	.loc 1 1814 0
 	mov	w1, 0
 	add	x0, x29, 64
 	bl	init_wait_entry
 .LVL121:
 	adrp	x0, .LANCHOR1
-.LBB1000:
+.LBB1012:
 	add	x0, x0, :lo12:.LANCHOR1
 	add	x21, x0, 328
 	b	.L213
 	.p2align 3
 .L314:
 .LVL122:
-	.loc 1 1808 0 is_stmt 0 discriminator 5
+	.loc 1 1814 0 is_stmt 0 discriminator 5
 	cbnz	x0, .L212
-	.loc 1 1808 0 discriminator 7
+	.loc 1 1814 0 discriminator 7
 	bl	schedule
 .LVL123:
 .L213:
-	.loc 1 1808 0 discriminator 9
+	.loc 1 1814 0 discriminator 9
 	add	x1, x29, 64
 	mov	w2, 1
 	mov	x0, x21
@@ -1820,8 +1820,8 @@ ebc_io_ctl:
 .LVL124:
 	ldr	w1, [x20, 188]
 	cbnz	w1, .L314
-.LBE1000:
-	.loc 1 1808 0 discriminator 4
+.LBE1012:
+	.loc 1 1814 0 discriminator 4
 	add	x1, x29, 64
 	mov	x0, x21
 	bl	finish_wait
@@ -1833,15 +1833,15 @@ ebc_io_ctl:
 .LVL126:
 	.p2align 3
 .L189:
-.LBE999:
-.LBE998:
-	.loc 1 1891 0 is_stmt 1
+.LBE1011:
+.LBE1010:
+	.loc 1 1897 0 is_stmt 1
 	bl	ebc_empty_buf_get
 .LVL127:
 	mov	x23, x0
-	.loc 1 1892 0
+	.loc 1 1898 0
 	cbz	x0, .L197
-	.loc 1 1894 0
+	.loc 1 1900 0
 	ldp	w2, w3, [x20, 108]
 	add	x22, x20, 24
 	ldr	x1, [x20, 328]
@@ -1851,20 +1851,20 @@ ebc_io_ctl:
 .LVL128:
 	.p2align 3
 .L307:
-	.loc 1 1752 0
+	.loc 1 1758 0
 	mov	w0, 28678
 	cmp	w1, w0
 	beq	.L187
 	mov	w0, 28679
 	cmp	w1, w0
 	bne	.L176
-.LBB1004:
-.LBB1005:
-.LBB1006:
-.LBB1007:
-.LBB1008:
-.LBB1009:
-.LBB1010:
+.LBB1016:
+.LBB1017:
+.LBB1018:
+.LBB1019:
+.LBB1020:
+.LBB1021:
+.LBB1022:
 	.loc 5 19 0
 #APP
 // 19 "./arch/arm64/include/asm/current.h" 1
@@ -1872,8 +1872,8 @@ ebc_io_ctl:
 // 0 "" 2
 .LVL129:
 #NO_APP
-.LBE1010:
-.LBE1009:
+.LBE1022:
+.LBE1021:
 	.loc 6 85 0
 	ldr	w2, [x0, 52]
 	.loc 6 77 0
@@ -1883,19 +1883,19 @@ ebc_io_ctl:
 	tbz	x2, 21, .L315
 .LVL131:
 .L214:
-.LBB1011:
-.LBB1012:
-.LBB1013:
+.LBB1023:
+.LBB1024:
+.LBB1025:
 	.loc 8 157 0
 	sbfx	x0, x21, 0, 56
 .LVL132:
-.LBE1013:
-.LBE1012:
+.LBE1025:
+.LBE1024:
 	.loc 6 86 0
 	and	x0, x0, x21
 .LVL133:
 .L215:
-.LBE1011:
+.LBE1023:
 	.loc 6 89 0
 #APP
 // 89 "./arch/arm64/include/asm/uaccess.h" 1
@@ -1908,23 +1908,23 @@ ebc_io_ctl:
 // 0 "" 2
 .LVL134:
 #NO_APP
-.LBE1008:
-.LBE1007:
+.LBE1020:
+.LBE1019:
 	.loc 9 114 0
 	cbz	x0, .L205
-.LBB1019:
-.LBB1020:
-.LBB1021:
-.LBB1022:
-.LBB1023:
+.LBB1031:
+.LBB1032:
+.LBB1033:
+.LBB1034:
+.LBB1035:
 	.loc 8 157 0
 	sbfx	x0, x21, 0, 56
 .LVL135:
-.LBE1023:
-.LBE1022:
-.LBE1021:
-.LBB1024:
-.LBB1025:
+.LBE1035:
+.LBE1034:
+.LBE1033:
+.LBB1036:
+.LBB1037:
 	.loc 5 19 0
 #APP
 // 19 "./arch/arm64/include/asm/current.h" 1
@@ -1932,13 +1932,13 @@ ebc_io_ctl:
 // 0 "" 2
 .LVL136:
 #NO_APP
-.LBE1025:
-.LBE1024:
-.LBB1026:
+.LBE1037:
+.LBE1036:
+.LBB1038:
 	.loc 6 254 0
 	and	x0, x0, x21
 .LVL137:
-.LBE1026:
+.LBE1038:
 	.loc 6 249 0
 	ldr	x2, [x1, 8]
 #APP
@@ -1953,8 +1953,8 @@ ebc_io_ctl:
 	hint #20
 // 0 "" 2
 #NO_APP
-.LBE1020:
-.LBE1019:
+.LBE1032:
+.LBE1031:
 	.loc 9 116 0
 	mov	x2, 44
 	add	x0, x29, 104
@@ -1963,39 +1963,39 @@ ebc_io_ctl:
 .LVL140:
 	.loc 9 118 0
 	cbnz	x0, .L205
-.LBE1006:
-.LBE1005:
-.LBE1004:
-	.loc 1 1817 0
+.LBE1018:
+.LBE1017:
+.LBE1016:
+	.loc 1 1823 0
 	bl	ebc_osd_buf_clone
 .LVL141:
 	mov	x1, x0
-	.loc 1 1818 0
+	.loc 1 1824 0
 	cbz	x0, .L212
-	.loc 1 1819 0
+	.loc 1 1825 0
 	ldr	w6, [x29, 108]
-	.loc 1 1828 0
+	.loc 1 1834 0
 	add	x20, x20, 184
-	.loc 1 1823 0
+	.loc 1 1829 0
 	ldp	w5, w3, [x29, 124]
-	.loc 1 1819 0
+	.loc 1 1825 0
 	str	w6, [x1, 40]
-	.loc 1 1824 0
+	.loc 1 1830 0
 	ldp	w4, w2, [x29, 132]
-	.loc 1 1823 0
+	.loc 1 1829 0
 	stp	w5, w3, [x1, 48]
-	.loc 1 1824 0
+	.loc 1 1830 0
 	stp	w4, w2, [x1, 56]
-	.loc 1 1826 0
+	.loc 1 1832 0
 	bl	ebc_add_to_dsp_buf_list
 .LVL142:
-	.loc 1 1828 0
+	.loc 1 1834 0
 	ldr	w0, [x20, 80]
 	cbnz	w0, .L212
-	.loc 1 1829 0
+	.loc 1 1835 0
 	mov	w2, 1
 	str	w2, [x20, 80]
-	.loc 1 1830 0
+	.loc 1 1836 0
 	adrp	x0, .LANCHOR1
 	add	x0, x0, :lo12:.LANCHOR1
 	mov	w1, w2
@@ -2007,22 +2007,22 @@ ebc_io_ctl:
 .LVL144:
 	.p2align 3
 .L308:
-.LBB1033:
+.LBB1045:
+.LBB978:
+.LBB975:
+.LBB965:
 .LBB966:
-.LBB963:
-.LBB953:
-.LBB954:
-.LBB955:
-.LBB956:
-.LBB957:
+.LBB967:
+.LBB968:
+.LBB969:
 	.loc 8 157 0
 	sbfx	x1, x21, 0, 56
 .LVL145:
-.LBE957:
-.LBE956:
-.LBE955:
-.LBB958:
-.LBB959:
+.LBE969:
+.LBE968:
+.LBE967:
+.LBB970:
+.LBB971:
 	.loc 5 19 0
 #APP
 // 19 "./arch/arm64/include/asm/current.h" 1
@@ -2030,13 +2030,13 @@ ebc_io_ctl:
 // 0 "" 2
 .LVL146:
 #NO_APP
-.LBE959:
-.LBE958:
-.LBB960:
+.LBE971:
+.LBE970:
+.LBB972:
 	.loc 6 254 0
 	and	x1, x1, x21
 .LVL147:
-.LBE960:
+.LBE972:
 	.loc 6 249 0
 	ldr	x2, [x0, 8]
 .LVL148:
@@ -2052,8 +2052,8 @@ ebc_io_ctl:
 	hint #20
 // 0 "" 2
 #NO_APP
-.LBE954:
-.LBE953:
+.LBE966:
+.LBE965:
 	.loc 9 134 0
 	mov	x2, x22
 	add	x1, x29, 104
@@ -2065,25 +2065,25 @@ ebc_io_ctl:
 .LVL152:
 	.p2align 3
 .L187:
-.LBE963:
-.LBE966:
-.LBE1033:
-	.loc 1 1754 0
+.LBE975:
+.LBE978:
+.LBE1045:
+	.loc 1 1760 0
 	bl	ebc_osd_buf_get
 .LVL153:
-	.loc 1 1755 0
+	.loc 1 1761 0
 	cbz	x0, .L197
-	.loc 1 1758 0
+	.loc 1 1764 0
 	ldr	x22, [x0, 8]
 	bl	ebc_phy_buf_base_get
 .LVL154:
-.LBB1034:
-.LBB1035:
-.LBB1036:
-.LBB1037:
-.LBB1038:
-.LBB1039:
-.LBB1040:
+.LBB1046:
+.LBB1047:
+.LBB1048:
+.LBB1049:
+.LBB1050:
+.LBB1051:
+.LBB1052:
 	.loc 5 19 0
 #APP
 // 19 "./arch/arm64/include/asm/current.h" 1
@@ -2091,32 +2091,32 @@ ebc_io_ctl:
 // 0 "" 2
 .LVL155:
 #NO_APP
-.LBE1040:
-.LBE1039:
+.LBE1052:
+.LBE1051:
 	.loc 6 85 0
 	ldr	w3, [x2, 52]
-.LBE1038:
-.LBE1037:
-.LBE1036:
-.LBE1035:
-.LBE1034:
-	.loc 1 1758 0
+.LBE1050:
+.LBE1049:
+.LBE1048:
+.LBE1047:
+.LBE1046:
+	.loc 1 1764 0
 	sub	w0, w22, w0
-	.loc 1 1763 0
+	.loc 1 1769 0
 	ldr	w1, [x20, 176]
-	.loc 1 1762 0
+	.loc 1 1768 0
 	ldp	w5, w4, [x20, 108]
-	.loc 1 1761 0
+	.loc 1 1767 0
 	stp	w4, w5, [x29, 112]
-	.loc 1 1763 0
+	.loc 1 1769 0
 	str	w1, [x29, 120]
-	.loc 1 1760 0
+	.loc 1 1766 0
 	str	w0, [x29, 104]
-.LBB1067:
-.LBB1064:
-.LBB1061:
-.LBB1050:
-.LBB1047:
+.LBB1079:
+.LBB1076:
+.LBB1073:
+.LBB1062:
+.LBB1059:
 	.loc 6 77 0
 	ldr	x1, [x2, 8]
 .LVL156:
@@ -2124,19 +2124,19 @@ ebc_io_ctl:
 	tbz	x3, 21, .L316
 .LVL157:
 .L193:
-.LBB1041:
-.LBB1042:
-.LBB1043:
+.LBB1053:
+.LBB1054:
+.LBB1055:
 	.loc 8 157 0
 	sbfx	x0, x21, 0, 56
 .LVL158:
-.LBE1043:
-.LBE1042:
+.LBE1055:
+.LBE1054:
 	.loc 6 86 0
 	and	x0, x0, x21
 .LVL159:
 .L194:
-.LBE1041:
+.LBE1053:
 	.loc 6 89 0
 #APP
 // 89 "./arch/arm64/include/asm/uaccess.h" 1
@@ -2149,24 +2149,24 @@ ebc_io_ctl:
 // 0 "" 2
 .LVL160:
 #NO_APP
-.LBE1047:
-.LBE1050:
+.LBE1059:
+.LBE1062:
 	.loc 9 132 0
 	mov	x22, 44
 	cbz	x0, .L172
-.LBB1051:
-.LBB1052:
-.LBB1053:
-.LBB1054:
-.LBB1055:
+.LBB1063:
+.LBB1064:
+.LBB1065:
+.LBB1066:
+.LBB1067:
 	.loc 8 157 0
 	sbfx	x1, x21, 0, 56
 .LVL161:
-.LBE1055:
-.LBE1054:
-.LBE1053:
-.LBB1056:
-.LBB1057:
+.LBE1067:
+.LBE1066:
+.LBE1065:
+.LBB1068:
+.LBB1069:
 	.loc 5 19 0
 #APP
 // 19 "./arch/arm64/include/asm/current.h" 1
@@ -2174,13 +2174,13 @@ ebc_io_ctl:
 // 0 "" 2
 .LVL162:
 #NO_APP
-.LBE1057:
-.LBE1056:
-.LBB1058:
+.LBE1069:
+.LBE1068:
+.LBB1070:
 	.loc 6 254 0
 	and	x1, x1, x21
 .LVL163:
-.LBE1058:
+.LBE1070:
 	.loc 6 249 0
 	ldr	x2, [x0, 8]
 .LVL164:
@@ -2196,8 +2196,8 @@ ebc_io_ctl:
 	hint #20
 // 0 "" 2
 #NO_APP
-.LBE1052:
-.LBE1051:
+.LBE1064:
+.LBE1063:
 	.loc 9 134 0
 	mov	x2, x22
 	add	x1, x29, 104
@@ -2209,16 +2209,16 @@ ebc_io_ctl:
 .LVL168:
 	.p2align 3
 .L183:
-.LBE1061:
-.LBE1064:
-.LBE1067:
-.LBB1068:
-.LBB1069:
-.LBB1070:
-.LBB1071:
-.LBB1072:
-.LBB1073:
-.LBB1074:
+.LBE1073:
+.LBE1076:
+.LBE1079:
+.LBB1080:
+.LBB1081:
+.LBB1082:
+.LBB1083:
+.LBB1084:
+.LBB1085:
+.LBB1086:
 	.loc 5 19 0
 #APP
 // 19 "./arch/arm64/include/asm/current.h" 1
@@ -2226,42 +2226,42 @@ ebc_io_ctl:
 // 0 "" 2
 .LVL169:
 #NO_APP
-.LBE1074:
-.LBE1073:
+.LBE1086:
+.LBE1085:
 	.loc 6 85 0
 	ldr	w2, [x0, 52]
-.LBE1072:
-.LBE1071:
-.LBE1070:
-.LBE1069:
-.LBE1068:
-	.loc 1 1844 0
+.LBE1084:
+.LBE1083:
+.LBE1082:
+.LBE1081:
+.LBE1080:
+	.loc 1 1850 0
 	add	x22, x20, 232
-.LBB1103:
-.LBB1099:
-.LBB1095:
-.LBB1084:
-.LBB1081:
-	.loc 6 77 0
-	ldr	x1, [x0, 8]
-.LVL170:
-	.loc 6 84 0
+.LBB1115:
+.LBB1111:
+.LBB1107:
+.LBB1096:
+.LBB1093:
+	.loc 6 77 0
+	ldr	x1, [x0, 8]
+.LVL170:
+	.loc 6 84 0
 	tbz	x2, 21, .L317
 .LVL171:
 .L217:
-.LBB1075:
-.LBB1076:
-.LBB1077:
+.LBB1087:
+.LBB1088:
+.LBB1089:
 	.loc 8 157 0
 	sbfx	x0, x21, 0, 56
 .LVL172:
-.LBE1077:
-.LBE1076:
+.LBE1089:
+.LBE1088:
 	.loc 6 86 0
 	and	x0, x0, x21
 .LVL173:
 .L218:
-.LBE1075:
+.LBE1087:
 	.loc 6 89 0
 #APP
 // 89 "./arch/arm64/include/asm/uaccess.h" 1
@@ -2275,22 +2275,22 @@ ebc_io_ctl:
 .LVL174:
 #NO_APP
 	mov	x3, x0
-.LBE1081:
-.LBE1084:
+.LBE1093:
+.LBE1096:
 	.loc 9 114 0
 	cbz	x0, .L246
-.LBB1085:
-.LBB1086:
-.LBB1087:
-.LBB1088:
-.LBB1089:
+.LBB1097:
+.LBB1098:
+.LBB1099:
+.LBB1100:
+.LBB1101:
 	.loc 8 157 0
 	sbfx	x0, x21, 0, 56
-.LBE1089:
-.LBE1088:
-.LBE1087:
-.LBB1090:
-.LBB1091:
+.LBE1101:
+.LBE1100:
+.LBE1099:
+.LBB1102:
+.LBB1103:
 	.loc 5 19 0
 #APP
 // 19 "./arch/arm64/include/asm/current.h" 1
@@ -2298,13 +2298,13 @@ ebc_io_ctl:
 // 0 "" 2
 .LVL175:
 #NO_APP
-.LBE1091:
-.LBE1090:
-.LBB1092:
+.LBE1103:
+.LBE1102:
+.LBB1104:
 	.loc 6 254 0
 	and	x0, x0, x21
 .LVL176:
-.LBE1092:
+.LBE1104:
 	.loc 6 249 0
 	ldr	x2, [x1, 8]
 #APP
@@ -2319,8 +2319,8 @@ ebc_io_ctl:
 	hint #20
 // 0 "" 2
 #NO_APP
-.LBE1086:
-.LBE1085:
+.LBE1098:
+.LBE1097:
 	.loc 9 116 0
 	mov	x2, 4
 	mov	x0, x22
@@ -2329,52 +2329,52 @@ ebc_io_ctl:
 .LVL179:
 	.loc 9 118 0
 	cbnz	x0, .L318
-.LBE1095:
-.LBE1099:
-.LBE1103:
-	.loc 1 1848 0
+.LBE1107:
+.LBE1111:
+.LBE1115:
+	.loc 1 1854 0
 	add	x20, x20, 184
 	ldr	w2, [x20, 48]
 	ldr	x0, [x20, 88]
 .LVL180:
-	.loc 1 1849 0
+	.loc 1 1855 0
 	mov	x22, 0
-	.loc 1 1848 0
+	.loc 1 1854 0
 	adrp	x1, .LC7
 	add	x1, x1, :lo12:.LC7
 	bl	_dev_info
 .LVL181:
-	.loc 1 1849 0
+	.loc 1 1855 0
 	b	.L172
 .LVL182:
 	.p2align 3
 .L177:
-	.loc 1 1841 0
+	.loc 1 1847 0
 	ldr	x0, [x20, 272]
 	adrp	x1, .LC3
 .LVL183:
-	.loc 1 1839 0
+	.loc 1 1845 0
 	str	wzr, [x20, 788]
-	.loc 1 1842 0
+	.loc 1 1848 0
 	mov	x22, 0
-	.loc 1 1840 0
+	.loc 1 1846 0
 	str	wzr, [x20, 792]
-	.loc 1 1841 0
+	.loc 1 1847 0
 	add	x1, x1, :lo12:.LC3
 	bl	_dev_info
 .LVL184:
-	.loc 1 1842 0
+	.loc 1 1848 0
 	b	.L172
 .LVL185:
 	.p2align 3
 .L185:
-	.loc 1 1878 0
+	.loc 1 1884 0
 	bl	ebc_empty_buf_get
 .LVL186:
 	mov	x23, x0
-	.loc 1 1879 0
+	.loc 1 1885 0
 	cbz	x0, .L197
-	.loc 1 1881 0
+	.loc 1 1887 0
 	ldp	w2, w3, [x20, 108]
 	add	x22, x20, 24
 	ldr	x1, [x20, 320]
@@ -2384,13 +2384,13 @@ ebc_io_ctl:
 .LVL187:
 	.p2align 3
 .L190:
-	.loc 1 1865 0
+	.loc 1 1871 0
 	bl	ebc_empty_buf_get
 .LVL188:
 	mov	x23, x0
-	.loc 1 1866 0
+	.loc 1 1872 0
 	cbz	x0, .L197
-	.loc 1 1868 0
+	.loc 1 1874 0
 	ldp	w2, w3, [x20, 108]
 	add	x22, x20, 24
 	ldr	x1, [x20, 312]
@@ -2399,18 +2399,18 @@ ebc_io_ctl:
 	lsr	w2, w2, 1
 	bl	memcpy
 .LVL189:
-	.loc 1 1869 0
+	.loc 1 1875 0
 	ldr	x20, [x23, 8]
 	bl	ebc_phy_buf_base_get
 .LVL190:
 	sub	w0, w20, w0
-.LBB1104:
-.LBB1105:
-.LBB1106:
-.LBB1107:
-.LBB1108:
-.LBB1109:
-.LBB1110:
+.LBB1116:
+.LBB1117:
+.LBB1118:
+.LBB1119:
+.LBB1120:
+.LBB1121:
+.LBB1122:
 	.loc 5 19 0
 #APP
 // 19 "./arch/arm64/include/asm/current.h" 1
@@ -2418,26 +2418,26 @@ ebc_io_ctl:
 // 0 "" 2
 .LVL191:
 #NO_APP
-.LBE1110:
-.LBE1109:
+.LBE1122:
+.LBE1121:
 	.loc 6 85 0
 	ldr	w3, [x2, 52]
-.LBE1108:
-.LBE1107:
-.LBE1106:
-.LBE1105:
-.LBE1104:
-	.loc 1 1872 0
+.LBE1120:
+.LBE1119:
+.LBE1118:
+.LBE1117:
+.LBE1116:
+	.loc 1 1878 0
 	ldp	w4, w1, [x22, 84]
-	.loc 1 1870 0
+	.loc 1 1876 0
 	str	w0, [x29, 104]
-	.loc 1 1871 0
+	.loc 1 1877 0
 	stp	w1, w4, [x29, 112]
-.LBB1115:
-.LBB1114:
-.LBB1113:
-.LBB1112:
-.LBB1111:
+.LBB1127:
+.LBB1126:
+.LBB1125:
+.LBB1124:
+.LBB1123:
 	.loc 6 77 0
 	ldr	x1, [x2, 8]
 .LVL192:
@@ -2447,18 +2447,18 @@ ebc_io_ctl:
 .LVL193:
 	.p2align 3
 .L179:
-.LBE1111:
-.LBE1112:
-.LBE1113:
-.LBE1114:
-.LBE1115:
-.LBB1116:
-.LBB1117:
-.LBB1118:
-.LBB1119:
-.LBB1120:
-.LBB1121:
-.LBB1122:
+.LBE1123:
+.LBE1124:
+.LBE1125:
+.LBE1126:
+.LBE1127:
+.LBB1128:
+.LBB1129:
+.LBB1130:
+.LBB1131:
+.LBB1132:
+.LBB1133:
+.LBB1134:
 	.loc 5 19 0
 #APP
 // 19 "./arch/arm64/include/asm/current.h" 1
@@ -2466,31 +2466,31 @@ ebc_io_ctl:
 // 0 "" 2
 .LVL194:
 #NO_APP
-.LBE1122:
-.LBE1121:
+.LBE1134:
+.LBE1133:
 	.loc 6 85 0
 	ldr	w3, [x2, 52]
-.LBE1120:
-.LBE1119:
-.LBE1118:
-.LBE1117:
-.LBE1116:
-	.loc 1 1855 0
+.LBE1132:
+.LBE1131:
+.LBE1130:
+.LBE1129:
+.LBE1128:
+	.loc 1 1861 0
 	ldp	w1, w0, [x20, 116]
 .LVL195:
 	stp	w1, w0, [x29, 140]
-	.loc 1 1852 0
+	.loc 1 1858 0
 	ldp	w6, w5, [x20, 108]
-	.loc 1 1851 0
+	.loc 1 1857 0
 	stp	w5, w6, [x29, 112]
-	.loc 1 1853 0
+	.loc 1 1859 0
 	ldr	w4, [x20, 176]
 	str	w4, [x29, 120]
-.LBB1151:
-.LBB1147:
-.LBB1143:
-.LBB1132:
-.LBB1129:
+.LBB1163:
+.LBB1159:
+.LBB1155:
+.LBB1144:
+.LBB1141:
 	.loc 6 77 0
 	ldr	x1, [x2, 8]
 .LVL196:
@@ -2498,19 +2498,19 @@ ebc_io_ctl:
 	tbz	x3, 21, .L319
 .LVL197:
 .L221:
-.LBB1123:
-.LBB1124:
-.LBB1125:
+.LBB1135:
+.LBB1136:
+.LBB1137:
 	.loc 8 157 0
 	sbfx	x0, x21, 0, 56
 .LVL198:
-.LBE1125:
-.LBE1124:
+.LBE1137:
+.LBE1136:
 	.loc 6 86 0
 	and	x0, x0, x21
 .LVL199:
 .L222:
-.LBE1123:
+.LBE1135:
 	.loc 6 89 0
 #APP
 // 89 "./arch/arm64/include/asm/uaccess.h" 1
@@ -2523,64 +2523,64 @@ ebc_io_ctl:
 // 0 "" 2
 .LVL200:
 #NO_APP
-.LBE1129:
-.LBE1132:
+.LBE1141:
+.LBE1144:
 	.loc 9 132 0
 	cbnz	x0, .L223
 .L224:
-.LBE1143:
-.LBE1147:
-.LBE1151:
-	.loc 1 1858 0
+.LBE1155:
+.LBE1159:
+.LBE1163:
+	.loc 1 1864 0
 	ldr	x0, [x20, 272]
 .LVL201:
 	adrp	x1, .LC5
 .LVL202:
-	.loc 1 1859 0
+	.loc 1 1865 0
 	mov	x22, -14
-	.loc 1 1858 0
+	.loc 1 1864 0
 	add	x1, x1, :lo12:.LC5
 	bl	_dev_err
 .LVL203:
-	.loc 1 1859 0
+	.loc 1 1865 0
 	b	.L172
 .LVL204:
 	.p2align 3
 .L176:
-	.loc 1 1919 0
+	.loc 1 1925 0
 	ldr	x0, [x20, 272]
 	adrp	x2, .LANCHOR2
 	adrp	x1, .LC6
 .LVL205:
 	add	x2, x2, :lo12:.LANCHOR2
 	add	x1, x1, :lo12:.LC6
-	.loc 1 1920 0
+	.loc 1 1926 0
 	mov	x22, 0
-	.loc 1 1919 0
+	.loc 1 1925 0
 	bl	_dev_err
 .LVL206:
-	.loc 1 1923 0
+	.loc 1 1929 0
 	b	.L172
 .LVL207:
 	.p2align 3
 .L181:
-	.loc 1 1768 0
+	.loc 1 1774 0
 	bl	ebc_empty_buf_get
 .LVL208:
 	mov	x23, x0
-	.loc 1 1769 0
+	.loc 1 1775 0
 	cbz	x0, .L197
-	.loc 1 1772 0
+	.loc 1 1778 0
 	ldr	x22, [x0, 8]
 	bl	ebc_phy_buf_base_get
 .LVL209:
-.LBB1152:
-.LBB1153:
-.LBB1154:
-.LBB1155:
-.LBB1156:
-.LBB1157:
-.LBB1158:
+.LBB1164:
+.LBB1165:
+.LBB1166:
+.LBB1167:
+.LBB1168:
+.LBB1169:
+.LBB1170:
 	.loc 5 19 0
 #APP
 // 19 "./arch/arm64/include/asm/current.h" 1
@@ -2588,32 +2588,32 @@ ebc_io_ctl:
 // 0 "" 2
 .LVL210:
 #NO_APP
-.LBE1158:
-.LBE1157:
+.LBE1170:
+.LBE1169:
 	.loc 6 85 0
 	ldr	w3, [x2, 52]
-.LBE1156:
-.LBE1155:
-.LBE1154:
-.LBE1153:
-.LBE1152:
-	.loc 1 1772 0
+.LBE1168:
+.LBE1167:
+.LBE1166:
+.LBE1165:
+.LBE1164:
+	.loc 1 1778 0
 	sub	w0, w22, w0
-	.loc 1 1777 0
+	.loc 1 1783 0
 	ldr	w1, [x20, 176]
-	.loc 1 1776 0
+	.loc 1 1782 0
 	ldp	w5, w4, [x20, 108]
-	.loc 1 1775 0
+	.loc 1 1781 0
 	stp	w4, w5, [x29, 112]
-	.loc 1 1777 0
+	.loc 1 1783 0
 	str	w1, [x29, 120]
-	.loc 1 1774 0
+	.loc 1 1780 0
 	str	w0, [x29, 104]
-.LBB1187:
-.LBB1183:
-.LBB1179:
-.LBB1168:
-.LBB1165:
+.LBB1199:
+.LBB1195:
+.LBB1191:
+.LBB1180:
+.LBB1177:
 	.loc 6 77 0
 	ldr	x1, [x2, 8]
 .LVL211:
@@ -2621,19 +2621,19 @@ ebc_io_ctl:
 	tbz	x3, 21, .L320
 .LVL212:
 .L198:
-.LBB1159:
-.LBB1160:
-.LBB1161:
+.LBB1171:
+.LBB1172:
+.LBB1173:
 	.loc 8 157 0
 	sbfx	x0, x21, 0, 56
 .LVL213:
-.LBE1161:
-.LBE1160:
+.LBE1173:
+.LBE1172:
 	.loc 6 86 0
 	and	x0, x0, x21
 .LVL214:
 .L199:
-.LBE1159:
+.LBE1171:
 	.loc 6 89 0
 #APP
 // 89 "./arch/arm64/include/asm/uaccess.h" 1
